Skip to main content
GET
/
volume
/
timeseries
/
{categoryId}
Retrieve timeseries trading stats by category
curl --request GET \
  --url https://deep-index.moralis.io/api/v2.2/volume/timeseries/{categoryId} \
  --header 'X-API-Key: <api-key>'
{
  "timeseries": [
    {
      "timestamp": "2022-02-22T00:00:00Z",
      "buyVolume": 4565,
      "sellVolume": 4565,
      "liquidityUsd": 4565,
      "fullyDilutedValuation": 4565
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.moralis.com/llms.txt

Use this file to discover all available pages before exploring further.

Deprecated — scheduled for removal on June 4, 2026. See the changelog for details and migration guidance.

Authorizations

X-API-Key
string
header
default:test
required

Path Parameters

categoryId
string
required

The category id

Example:

"1"

Query Parameters

chain
enum<string>
default:eth

The chain to query

Available options:
eth,
0x1,
sepolia,
0xaa36a7,
polygon,
0x89,
bsc,
0x38,
bsc testnet,
0x61,
avalanche,
0xa86a,
fantom,
0xfa,
cronos,
0x19,
arbitrum,
0xa4b1,
chiliz,
0x15b38,
chiliz testnet,
0x15b32,
gnosis,
0x64,
gnosis testnet,
0x27d8,
base,
0x2105,
base sepolia,
0x14a34,
optimism,
0xa,
polygon amoy,
0x13882,
linea,
0xe708,
moonbeam,
0x504,
moonriver,
0x505,
moonbase,
0x507,
linea sepolia,
0xe705,
flow,
0x2eb,
flow-testnet,
0x221,
ronin,
0x7e4,
ronin-testnet,
0x31769,
lisk,
0x46f,
lisk-sepolia,
0x106a,
pulse,
0x171,
sei-testnet,
0x530,
sei,
0x531,
monad,
0x8f,
solana
Example:

"eth"

timeframe
enum<string>
default:1d
required

The timeframe to query

Available options:
1d,
7d,
30d
Example:

"1d"

Response

200 - application/json

Successful response

timeseries
object[]